﻿using System.Buffers.Text;
using System.ComponentModel;
using System.Security.Cryptography;
using System.Security.Cryptography.X509Certificates;
using System.Text;
using Microsoft.Extensions.Logging;

namespace FitConnect;

public class Sender : FunctionalBaseClass {
    public Sender(ILogger? logger, FitConnectEndpoints endpoints, X509Certificate2? certificate = null) : base(logger, endpoints, certificate) {
    }

    /// <summary>
    /// Check public keys
    /// </summary>
    /// <returns></returns>
    public async Task<bool> CheckPublicKeyAsync(string publicKey) {
        throw new NotImplementedException();
    }

    /// <summary>
    /// Encrypt attachments (Anhänge)
    /// </summary>
    /// <param name="attachment"></param>
    /// <returns></returns>
    public async Task<string> EncryptAttachmentAsync(string attachment, string publicKey) {
        throw new NotImplementedException();
    }

    /// <summary>
    /// Create Metadata incl. Hash
    /// </summary>
    /// <param name="data"></param>
    /// <param name="attachment"></param>
    /// <returns></returns>
    public async Task<string>
        CreateMetadataAsync(string data, string attachment, string publicKey) {
        throw new NotImplementedException();
    }

    /// <summary>
    /// Check public keys
    /// </summary>
    /// <returns></returns>
    public async Task<bool> CheckPublicKeyAsync() {
        throw new NotImplementedException();
    }

    /// <summary>
    /// Encrypt Data (Fachdaten)
    /// </summary>
    /// <param name="data"></param>
    /// <returns></returns>
    public byte[] EncryptDataAsync(string data) {
        throw new NotImplementedException();
    }

    /// <summary>
    /// Encrypt attachments (Anhänge)
    /// </summary>
    /// <param name="attachment"></param>
    /// <returns></returns>
    public async Task<byte[]> EncryptAttachmentAsync(byte[] attachment) {
        throw new NotImplementedException();
    }

    /// <summary>
    /// Create Metadata incl. Hash
    /// </summary>
    /// <param name="data"></param>
    /// <param name="attachment"></param>
    /// <returns></returns>
    public async Task<string> CreateMetadataAsync(string data, byte[] attachment) {
        throw new NotImplementedException();
    }
}
