using System.Security.Cryptography.X509Certificates;
using FitConnect;
using Microsoft.Extensions.Logging;
using NUnit.Framework;

namespace SenderTest;

public class SenderEncryptionWithImportedCertificateTest {
    private Sender _sender = null!;
    private ILogger _logger = null!;

    [OneTimeSetUp]
    public void OneTimeSetUp() {
        // Import certificate
        
    }

    [SetUp]
    public void SetUp() {
        // Create a new Sender
        var fileName = "certificate.pfx";
        var cert = new X509Certificate2(fileName);
        _logger = LoggerFactory.Create(cfg => cfg.AddConsole())
            .CreateLogger<SenderEncryptionWithSelfSignedCertificateTest>();

        _sender = new Sender(_logger,
            FitConnectEndpoints.Create(FitConnectEndpoints.EndpointType.Development), cert);
    }

    [TearDown]
    public void TearDown() {
        // Dispose the Sender
    }

    [OneTimeTearDown]
    public void OneTimeTearDown() {
        // Delete certificate
    }

    [Test]
    public void TestEncryption() {
        // Encrypt a message
    }
}
